Subject: Re: bug#16772: Failure in "make install" on MS-Windows

From: Glenn Morris <[email-masked]>
Date: Mon, 17 Feb 2014 14:06:53 -0500

Dani Moncayo wrote:

>      If you want the installation tree to go to a place that is
>      different from the one specified by --prefix, say
>
>        make install prefix=/where/ever/you/want

Seems weird to me for Emacs to be recommending that.
Why would one not specify the right prefix at configure time...?

>> And if you try, it will say:
>>
>>   configure: error: expected an absolute directory name for --prefix:
>>     ../myinstalldir
>
> No, it says something different: I've just tried this
[...]
>   make install prefix=/c/tmp/dir2 GZIP_INFO= GZIP_PROG=

We seem to be having a failure to communicate.

"I ran make install with an absolute prefix" has no relevance to
"Here's what happens if you run configure with a relative prefix"

> And then I've applied the patch sent by Juanma, and tried again.  This
> time the installation seems to be successful, and I see the file
> "<my-install-dir>/share/emacs/24.3.50/README.W32", as expected.

Hooray.